// Day3Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Day3.h"
#include "Day3Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay3Dlg dialog

CDay3Dlg::CDay3Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDay3Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDay3Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDay3Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDay3Dlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDay3Dlg, CDialog)
	//{{AFX_MSG_MAP(CDay3Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_MOUSEMOVE()
	ON_WM_LBUTTONDOWN()
	ON_WM_KEYDOWN()
	ON_WM_SETCURSOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay3Dlg message handlers

BOOL CDay3Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Initialize the cursor to the arrow
	m_bCursor = FALSE;
	
	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDay3Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDay3Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDay3Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDay3Dlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Check to see if the left mouse button is down
	if ((nFlags & MK_LBUTTON) == MK_LBUTTON)
	{
		// Get the Device Context
		CClientDC dc(this);

		// Draw the pixel
		// dc.SetPixel(point.x, point.y, RGB(0, 0, 0));

		// Create a new pen
		CPen lpen(PS_SOLID, 16, RGB(255, 0, 0));

		// Use the new pen
		dc.SelectObject(&lpen);

		// Draw a line from the previous point to the current point
		dc.MoveTo(m_iPrevX, m_iPrevY);
		dc.LineTo(point.x, point.y);

		// Save the current point as the previous point
		m_iPrevX = point.x;
		m_iPrevY = point.y;
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	CDialog::OnMouseMove(nFlags, point);
}

void CDay3Dlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Set the current point as the starting point
	m_iPrevX = point.x;
	m_iPrevY = point.y;

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	CDialog::OnLButtonDown(nFlags, point);
}

void CDay3Dlg::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// TODO: Add your message handler code here and/or call default
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	char cChar;		// The current character being pressed
	HCURSOR hCursor;	// The handle to the cursor to be displayed

	// Convert the key pressed to a character
	cChar = char(nChar);

	// Is the character "A"
	if (cChar == 'A')
		// Load the arrow cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_ARROW);
	// Is the character "B"
	if (cChar == 'B')
		// Load the I beam cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_IBEAM);
	// Is the character "C"
	if (cChar == 'C')
		// Load the hourglass cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_WAIT);
	// Is the character "D"
	if (cChar == 'D')
		// Load the cross hair cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_CROSS);
	// Is the character "E"
	if (cChar == 'E')
		// Load the up arrow cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_UPARROW);
	// Is the character "F"
	if (cChar == 'F')
		// Load the size cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_SIZEALL);
	// Is the character "G"
	if (cChar == 'G')
		// Load the up/right-down/left size cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_SIZENWSE);
	// Is the character "H"
	if (cChar == 'H')
		// Load the up/left-down/right size cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_SIZENESW);
	// Is the character "I"
	if (cChar == 'I')
		// Load the left-right size cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_SIZEWE);
	// Is the character "J"
	if (cChar == 'J')
		// Load the up-down size cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_SIZENS);
	// Is the character "K"
	if (cChar == 'K')
		// Load the no cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_NO);
	// Is the character "L"
	if (cChar == 'L')
		// Load the app starting cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_APPSTARTING);
	// Is the character "M"
	if (cChar == 'M')
		// Load the help cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_HELP);
	if (cChar == 'X')
		// Load the arrow cursor
		hCursor = AfxGetApp()->LoadStandardCursor(IDC_ARROW);

	// Set the cursor flag
	m_bCursor = TRUE;
	// Set the screen cursor
	SetCursor(hCursor);

	// Is the character "X"
	if (cChar == 'X')
	{
		// Exit the application
		OnOK();
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	CDialog::OnKeyDown(nChar, nRepCnt, nFlags);
}

BOOL CDay3Dlg::OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message) 
{
	// TODO: Add your message handler code here and/or call default
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	if (m_bCursor)
		// return TRUE
		return TRUE;
	else

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

		return CDialog::OnSetCursor(pWnd, nHitTest, message);
}
