// GraphicsDlg.h : header file
//

#if !defined(AFX_GRAPHICSDLG_H__5798DD66_D19A_11D1_ADB4_00A02429D966__INCLUDED_)
#define AFX_GRAPHICSDLG_H__5798DD66_D19A_11D1_ADB4_00A02429D966__INCLUDED_

#include "PaintDlg.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CGraphicsDlg dialog

class CGraphicsDlg : public CDialog
{
// Construction
public:
	CBitmap m_bBitmap;
	CString m_strBitmap;
	CGraphicsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CGraphicsDlg)
	enum { IDD = IDD_GRAPHICS_DIALOG };
	int		m_iColor;
	int		m_iShape;
	int		m_iTool;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphicsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CGraphicsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBexit();
	afx_msg void OnBbitmap();
	afx_msg void OnRcColor();
	afx_msg void OnRsShape();
	afx_msg void OnRtTool();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CPaintDlg m_dlgPaint;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRAPHICSDLG_H__5798DD66_D19A_11D1_ADB4_00A02429D966__INCLUDED_)
