// Day10Doc.h : interface of the CDay10Doc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DAY10DOC_H__4A995056_B2E1_11D1_AD61_00A02429D966__INCLUDED_)
#define AFX_DAY10DOC_H__4A995056_B2E1_11D1_AD61_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDay10Doc : public CDocument
{
protected: // create from serialization only
	CDay10Doc();
	DECLARE_DYNCREATE(CDay10Doc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDay10Doc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetWidth(int);
	UINT GetWidth();
	UINT GetColor();
	static const COLORREF m_crColors[8];
	CLine * GetLine(int nIndex);
	CLine * AddLine(CPoint ptFrom, CPoint ptTo);
	CPoint* GetFrom(int nIndex);
	CPoint* GetTo(int nIndex);
	int GetLineCount();
	virtual ~CDay10Doc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnUpdateIndicatorColor(CCmdUI *pCmdUI);
	//{{AFX_MSG(CDay10Doc)
	afx_msg void OnUpdateWidthVthin(CCmdUI* pCmdUI);
	afx_msg void OnUpdateWidthVthick(CCmdUI* pCmdUI);
	afx_msg void OnUpdateWidthThin(CCmdUI* pCmdUI);
	afx_msg void OnUpdateWidthThick(CCmdUI* pCmdUI);
	afx_msg void OnUpdateWidthMedium(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorYellow(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorWhite(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorRed(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorMagenta(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorGreen(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorCyan(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorBlue(CCmdUI* pCmdUI);
	afx_msg void OnUpdateColorBlack(CCmdUI* pCmdUI);
	afx_msg void OnColorBlack();
	afx_msg void OnColorBlue();
	afx_msg void OnColorCyan();
	afx_msg void OnColorGreen();
	afx_msg void OnColorMagenta();
	afx_msg void OnColorRed();
	afx_msg void OnColorWhite();
	afx_msg void OnColorYellow();
	afx_msg void OnWidthMedium();
	afx_msg void OnWidthThick();
	afx_msg void OnWidthThin();
	afx_msg void OnWidthVthick();
	afx_msg void OnWidthVthin();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateColorbar(int nIndex);
	UINT m_nWidth;
	UINT m_nColor;
	CObArray m_oaLines;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAY10DOC_H__4A995056_B2E1_11D1_AD61_00A02429D966__INCLUDED_)
