// Line.h: interface for the CLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINE_H__4A995061_B2E1_11D1_AD61_00A02429D966__INCLUDED_)
#define AFX_LINE_H__4A995061_B2E1_11D1_AD61_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CLine : public CObject  
{
	DECLARE_SERIAL (CLine)
public:
	CLine(CPoint ptFrom, CPoint ptTo, UINT nWidth, COLORREF crColor);
	void Draw(CDC * pDC);
	virtual void Serialize(CArchive &ar);
	CPoint * GetTo();
	CPoint * GetFrom();
	CLine(CPoint ptFrom, CPoint ptTo);
	CLine();
	virtual ~CLine();

private:
	COLORREF m_crColor;
	UINT m_nWidth;
	CPoint m_ptTo;
	CPoint m_ptFrom;
};

#endif // !defined(AFX_LINE_H__4A995061_B2E1_11D1_AD61_00A02429D966__INCLUDED_)
