// DbOdbcSet.h : interface of the CDbOdbcSet class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBODBCSET_H__75892A6E_DA3F_11D1_ADBA_00A02429D966__INCLUDED_)
#define AFX_DBODBCSET_H__75892A6E_DA3F_11D1_ADBA_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDbOdbcSet : public CRecordset
{
public:
	long GetMaxID();
	CDbOdbcSet(CDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CDbOdbcSet)

// Field/Param Data
	//{{AFX_FIELD(CDbOdbcSet, CRecordset)
	long	m_AddressID;
	CString	m_FirstName;
	CString	m_LastName;
	CString	m_SpouseName;
	CString	m_Address;
	CString	m_City;
	CString	m_StateOrProvince;
	CString	m_PostalCode;
	CString	m_Country;
	CString	m_EmailAddress;
	CString	m_HomePhone;
	CString	m_WorkPhone;
	CString	m_WorkExtension;
	CString	m_FaxNumber;
	COleDateTime	m_Birthdate;
	BOOL	m_SendCard;
	CString	m_Notes;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbOdbcSet)
	public:
	virtual CString GetDefaultConnect();	// Default connection string
	virtual CString GetDefaultSQL(); 	// default SQL for Recordset
	virtual void DoFieldExchange(CFieldExchange* pFX);	// RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBODBCSET_H__75892A6E_DA3F_11D1_ADBA_00A02429D966__INCLUDED_)

