// DbOdbcView.h : interface of the CDbOdbcView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBODBCVIEW_H__75892A6C_DA3F_11D1_ADBA_00A02429D966__INCLUDED_)
#define AFX_DBODBCVIEW_H__75892A6C_DA3F_11D1_ADBA_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDbOdbcSet;

class CDbOdbcView : public CRecordView
{
protected: // create from serialization only
	CDbOdbcView();
	DECLARE_DYNCREATE(CDbOdbcView)

public:
	//{{AFX_DATA(CDbOdbcView)
	enum { IDD = IDD_DBODBC_FORM };
	CDbOdbcSet* m_pSet;
	COleDateTime	m_oledtDOB;
	//}}AFX_DATA

// Attributes
public:
	CDbOdbcDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbOdbcView)
	public:
	virtual CRecordset* OnGetRecordset();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDbOdbcView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDbOdbcView)
	afx_msg void OnRecordNew();
	afx_msg void OnRecordDelete();
	afx_msg void OnRecordMove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DbOdbcView.cpp
inline CDbOdbcDoc* CDbOdbcView::GetDocument()
   { return (CDbOdbcDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBODBCVIEW_H__75892A6C_DA3F_11D1_ADBA_00A02429D966__INCLUDED_)
