// CustomRS.h: interface for the CCustomRS class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUSTOMRS_H__8F363126_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
#define AFX_CUSTOMRS_H__8F363126_E5F8_11D1_ADDB_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define INITGUID
#import "C:\Program Files\Common Files\System\ADO\msado15.dll" rename_namespace("ADOCG") rename("EOF", "EndOfFile")
using namespace ADOCG;
#include "icrsint.h"

class CCustomRs : 
	public CADORecordBinding
{
BEGIN_ADO_BINDING(CCustomRs)
	ADO_FIXED_LENGTH_ENTRY(1, adInteger, m_lAddressID, lAddressIDStatus, FALSE)
	ADO_VARIABLE_LENGTH_ENTRY2(2, adVarChar, m_szFirstName, sizeof(m_szFirstName), lFirstNameStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(3, adVarChar, m_szLastName, sizeof(m_szLastName), lLastNameStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(4, adVarChar, m_szSpouseName, sizeof(m_szSpouseName), lSpouseNameStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(5, adVarChar, m_szAddress, sizeof(m_szAddress), lAddressStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(6, adVarChar, m_szCity, sizeof(m_szCity), lCityStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(7, adVarChar, m_szStateOrProvince, sizeof(m_szStateOrProvince), lStateOrProvinceStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(8, adVarChar, m_szPostalCode, sizeof(m_szPostalCode), lPostalCodeStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(9, adVarChar, m_szCountry, sizeof(m_szCountry), lCountryStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(10, adVarChar, m_szEmailAddress, sizeof(m_szEmailAddress), lEmailAddressStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(11, adVarChar, m_szHomePhone, sizeof(m_szHomePhone), lHomePhoneStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(12, adVarChar, m_szWorkPhone, sizeof(m_szWorkPhone), lWorkPhoneStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(13, adVarChar, m_szWorkExtension, sizeof(m_szWorkExtension), lWorkExtensionStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(14, adVarChar, m_szFaxNumber, sizeof(m_szFaxNumber), lFaxNumberStatus, TRUE)
	ADO_FIXED_LENGTH_ENTRY(15, adDate, m_dtBirthdate, lBirthdateStatus, TRUE)
	ADO_FIXED_LENGTH_ENTRY(16, adBoolean, m_bSendCard, lSendCardStatus, TRUE)
	ADO_VARIABLE_LENGTH_ENTRY2(17, adLongVarChar, m_szNotes, sizeof(m_szNotes), lNotesStatus, TRUE)
END_ADO_BINDING()

public:
	LONG m_lAddressID;
	ULONG lAddressIDStatus;
	CHAR m_szFirstName[51];
	ULONG lFirstNameStatus;
	CHAR m_szLastName[51];
	ULONG lLastNameStatus;
	CHAR m_szSpouseName[51];
	ULONG lSpouseNameStatus;
	CHAR m_szAddress[256];
	ULONG lAddressStatus;
	CHAR m_szCity[51];
	ULONG lCityStatus;
	CHAR m_szStateOrProvince[21];
	ULONG lStateOrProvinceStatus;
	CHAR m_szPostalCode[21];
	ULONG lPostalCodeStatus;
	CHAR m_szCountry[51];
	ULONG lCountryStatus;
	CHAR m_szEmailAddress[51];
	ULONG lEmailAddressStatus;
	CHAR m_szHomePhone[31];
	ULONG lHomePhoneStatus;
	CHAR m_szWorkPhone[31];
	ULONG lWorkPhoneStatus;
	CHAR m_szWorkExtension[21];
	ULONG lWorkExtensionStatus;
	CHAR m_szFaxNumber[31];
	ULONG lFaxNumberStatus;
	DATE m_dtBirthdate;
	ULONG lBirthdateStatus;
	VARIANT_BOOL m_bSendCard;
	ULONG lSendCardStatus;
	CHAR m_szNotes[65536];
	ULONG lNotesStatus;
};

#endif // !defined(AFX_CUSTOMRS_H__8F363126_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
