// Web BrowseView.cpp : implementation of the CWebBrowseView class
//

#include "stdafx.h"
#include "Web Browse.h"

#include "MainFrm.h"
#include "Web BrowseDoc.h"
#include "Web BrowseView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView

IMPLEMENT_DYNCREATE(CWebBrowseView, CHtmlView)

BEGIN_MESSAGE_MAP(CWebBrowseView, CHtmlView)
	//{{AFX_MSG_MAP(CWebBrowseView)
	ON_COMMAND(IDM_GO_BACK, OnGoBack)
	ON_COMMAND(IDM_GO_NEXT, OnGoNext)
	ON_COMMAND(IDM_GO_SEARCH, OnGoSearch)
	ON_COMMAND(IDM_GO_START, OnGoStart)
	ON_COMMAND(IDM_VIEW_REFRESH, OnViewRefresh)
	ON_COMMAND(IDM_VIEW_STOP, OnViewStop)
	ON_UPDATE_COMMAND_UI(IDM_VIEW_STOP, OnUpdateViewStop)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CHtmlView::OnFilePrint)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView construction/destruction

CWebBrowseView::CWebBrowseView()
{
	// TODO: add construction code here

}

CWebBrowseView::~CWebBrowseView()
{
}

BOOL CWebBrowseView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView drawing

void CWebBrowseView::OnDraw(CDC* pDC)
{
	CWebBrowseDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

void CWebBrowseView::OnInitialUpdate()
{
	CHtmlView::OnInitialUpdate();

	// TODO: This code navigates to a popular spot on the web.
	//  change the code to go where you'd like.
	Navigate2(_T("http://www.microsoft.com/visualc/"),NULL,NULL);
}

/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView printing


/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView diagnostics

#ifdef _DEBUG
void CWebBrowseView::AssertValid() const
{
	CHtmlView::AssertValid();
}

void CWebBrowseView::Dump(CDumpContext& dc) const
{
	CHtmlView::Dump(dc);
}

CWebBrowseDoc* CWebBrowseView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWebBrowseDoc)));
	return (CWebBrowseDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWebBrowseView message handlers

void CWebBrowseView::OnDocumentComplete(LPCTSTR lpszUrl)
{
	// Pass the new URL to the address bar
	((CMainFrame*)GetParentFrame())->SetAddress(lpszUrl);
}

void CWebBrowseView::OnGoBack() 
{
	// TODO: Add your command handler code here
	// Go to the previous page
	GoBack();
}

void CWebBrowseView::OnGoNext() 
{
	// TODO: Add your command handler code here
	// Go to the next page
	GoForward();
}

void CWebBrowseView::OnGoSearch() 
{
	// TODO: Add your command handler code here
	// Go to the search page
	GoSearch();
}

void CWebBrowseView::OnGoStart() 
{
	// TODO: Add your command handler code here
	// Go to the start page
	GoHome();
}

void CWebBrowseView::OnViewRefresh() 
{
	// TODO: Add your command handler code here
	// Reload the current page
	Refresh();
}

void CWebBrowseView::OnViewStop() 
{
	// TODO: Add your command handler code here
	// Stop the current download
	Stop();
}

void CWebBrowseView::OnUpdateViewStop(CCmdUI* pCmdUI) 
{
	// TODO: Add your command update UI handler code here
	// Enable the button if busy
	pCmdUI->Enable(GetBusy());
}
