// Spinner.h: interface for the CSpinner class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPINNER_H__BCE775FE_B518_11D1_AD65_00A02429D966__INCLUDED_)
#define AFX_SPINNER_H__BCE775FE_B518_11D1_AD65_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSpinner : public CObject  
{
public:
	BOOL* GetContinue() {return m_bContinue;}
	void SetContinue(BOOL* bContinue);
	CWnd* GetViewWnd() { return m_pViewWnd;}
	void SetViewWnd(CWnd* pWnd);
	void SetLength(int iLength);
	void SetPoint(CPoint pPoint);
	void Draw();
	CSpinner();
	virtual ~CSpinner();

private:
	BOOL* m_bContinue;
	CWnd* m_pViewWnd;
	static COLORREF m_crColors[8];
	int m_iRadius;
	CPoint m_pCenter;
	int m_nMinute;
	int m_crColor;
};

#endif // !defined(AFX_SPINNER_H__BCE775FE_B518_11D1_AD65_00A02429D966__INCLUDED_)
