#if !defined(AFX_SQUIGGLECTL_H__2D6891E4_E102_11D1_ADD1_00A02429D966__INCLUDED_)
#define AFX_SQUIGGLECTL_H__2D6891E4_E102_11D1_ADD1_00A02429D966__INCLUDED_

#include "ModArt.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SquiggleCtl.h : Declaration of the CSquiggleCtrl ActiveX Control class.

/////////////////////////////////////////////////////////////////////////////
// CSquiggleCtrl : See SquiggleCtl.cpp for implementation.

class CSquiggleCtrl : public COleControl
{
	DECLARE_DYNCREATE(CSquiggleCtrl)

// Constructor
public:
	CSquiggleCtrl();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSquiggleCtrl)
	public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();
	virtual void OnClick(USHORT iButton);
	//}}AFX_VIRTUAL

// Implementation
protected:
	~CSquiggleCtrl();

	DECLARE_OLECREATE_EX(CSquiggleCtrl)    // Class factory and guid
	DECLARE_OLETYPELIB(CSquiggleCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CSquiggleCtrl)     // Property page IDs
	DECLARE_OLECTLTYPE(CSquiggleCtrl)		// Type name and misc status

// Message maps
	//{{AFX_MSG(CSquiggleCtrl)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Dispatch maps
	//{{AFX_DISPATCH(CSquiggleCtrl)
	BOOL m_keepCurrentDrawing;
	afx_msg void OnKeepCurrentDrawingChanged();
	afx_msg short GetSquiggleLength();
	afx_msg void SetSquiggleLength(short nNewValue);
	afx_msg short GetNumberSquiggles();
	afx_msg void SetNumberSquiggles(short nNewValue);
	afx_msg BOOL LoadDrawing(LPCTSTR sFileName);
	afx_msg void GenNewDrawing();
	afx_msg BOOL SaveDrawing(LPCTSTR sFileName);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()

	afx_msg void AboutBox();

// Event maps
	//{{AFX_EVENT(CSquiggleCtrl)
	void FireFileLoaded()
		{FireEvent(eventidFileLoaded,EVENT_PARAM(VTS_NONE));}
	//}}AFX_EVENT
	DECLARE_EVENT_MAP()

// Dispatch and event IDs
public:
	enum {
	//{{AFX_DISP_ID(CSquiggleCtrl)
	dispidSquiggleLength = 2L,
	dispidNumberSquiggles = 3L,
	dispidKeepCurrentDrawing = 1L,
	dispidLoadDrawing = 4L,
	dispidGenNewDrawing = 5L,
	dispidSaveDrawing = 6L,
	eventidFileLoaded = 1L,
	//}}AFX_DISP_ID
	};
private:
	BOOL m_bGenNewDrawing;
	CModArt m_maDrawing;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SQUIGGLECTL_H__2D6891E4_E102_11D1_ADD1_00A02429D966__INCLUDED)
