// Day2Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Day2.h"
#include "Day2Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay2Dlg dialog

CDay2Dlg::CDay2Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDay2Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDay2Dlg)
	m_strMessage = _T("");
	m_bEnableMsg = FALSE;
	m_bEnablePgm = FALSE;
	m_bShowMsg = FALSE;
	m_bShowPgm = FALSE;
	m_strProgToRun = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDay2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDay2Dlg)
	DDX_Text(pDX, IDC_MSG, m_strMessage);
	DDX_Check(pDX, IDC_CKENBLMSG, m_bEnableMsg);
	DDX_Check(pDX, IDC_CKENBLPGM, m_bEnablePgm);
	DDX_Check(pDX, IDC_CKSHWMSG, m_bShowMsg);
	DDX_Check(pDX, IDC_CKSHWPGM, m_bShowPgm);
	DDX_CBString(pDX, IDC_PROGTORUN, m_strProgToRun);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDay2Dlg, CDialog)
	//{{AFX_MSG_MAP(CDay2Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_EXIT, OnExit)
	ON_BN_CLICKED(IDC_SHWMSG, OnShwmsg)
	ON_BN_CLICKED(IDC_DFLTMSG, OnDfltmsg)
	ON_BN_CLICKED(IDC_CLRMSG, OnClrmsg)
	ON_EN_CHANGE(IDC_MSG, OnChangeMsg)
	ON_BN_CLICKED(IDC_CKENBLMSG, OnCkenblmsg)
	ON_BN_CLICKED(IDC_CKENBLPGM, OnCkenblpgm)
	ON_BN_CLICKED(IDC_CKSHWMSG, OnCkshwmsg)
	ON_BN_CLICKED(IDC_CKSHWPGM, OnCkshwpgm)
	ON_BN_CLICKED(IDC_RUNPGM, OnRunpgm)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay2Dlg message handlers

BOOL CDay2Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Put a default message in the message edit
	m_strMessage = "Place a message here";

	// Set all of the check boxes to checked
	m_bShowMsg = TRUE;
	m_bShowPgm = TRUE;
	m_bEnableMsg = TRUE;
	m_bEnablePgm = TRUE;

	// Update the dialog with the values
	UpdateData(FALSE);
	
	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDay2Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDay2Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDay2Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDay2Dlg::OnExit() 
{
	// TODO: Add your control notification handler code here

	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////
	
	// Exit the program
	OnOK();

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnShwmsg() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Display the message for the user
	MessageBox(m_strMessage);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnDfltmsg() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Set the message to a default message
	m_strMessage = "Enter a message here";

	// Update the screen
	UpdateData(FALSE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnClrmsg() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Clear the message
	m_strMessage = "";

	// Update the screen
	UpdateData(FALSE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnChangeMsg() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitialUpdate()
	// function and call CRichEditCrtl().SetEventMask()
	// with the EN_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Update the message variable with what the user entered
	UpdateData(TRUE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnCkenblmsg() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Enable Message Action check box checked?
	if (m_bEnableMsg == TRUE)
	{
		// Yes, so enable all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_SHWMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_DFLTMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_CLRMSG)->EnableWindow(TRUE);
		GetDlgItem(IDC_STATICMSG)->EnableWindow(TRUE);
	}
	else
	{
		// No, so disable all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_SHWMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_DFLTMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_CLRMSG)->EnableWindow(FALSE);
		GetDlgItem(IDC_STATICMSG)->EnableWindow(FALSE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnCkenblpgm() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Enable Program Action check box checked?
	if (m_bEnablePgm == TRUE)
	{
		// Yes, so enable all controls that have anything 
		// to do with running a program
		GetDlgItem(IDC_PROGTORUN)->EnableWindow(TRUE);
		GetDlgItem(IDC_RUNPGM)->EnableWindow(TRUE);
		GetDlgItem(IDC_STATICPGM)->EnableWindow(TRUE);
	}
	else
	{
		// No, so disable all controls that have anything 
		// to do with running a program
		GetDlgItem(IDC_PROGTORUN)->EnableWindow(FALSE);
		GetDlgItem(IDC_RUNPGM)->EnableWindow(FALSE);
		GetDlgItem(IDC_STATICPGM)->EnableWindow(FALSE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnCkshwmsg() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Show Message Action check box checked?
	if (m_bShowMsg == TRUE)
	{
		// Yes, so show all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_SHWMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_DFLTMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_CLRMSG)->ShowWindow(TRUE);
		GetDlgItem(IDC_STATICMSG)->ShowWindow(TRUE);
	}
	else
	{
		// No, so hide all controls that have anything 
		// to do with showing the user message
		GetDlgItem(IDC_MSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_SHWMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_DFLTMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_CLRMSG)->ShowWindow(FALSE);
		GetDlgItem(IDC_STATICMSG)->ShowWindow(FALSE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnCkshwpgm() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Get the current values from the screen
	UpdateData(TRUE);

	// Is the Show Program Action check box checked?
	if (m_bShowPgm == TRUE)
	{
		// Yes, so show all controls that have anything 
		// to do with running a program
		GetDlgItem(IDC_PROGTORUN)->ShowWindow(TRUE);
		GetDlgItem(IDC_RUNPGM)->ShowWindow(TRUE);
		GetDlgItem(IDC_STATICPGM)->ShowWindow(TRUE);
	}
	else
	{
		// No, so hide all controls that have anything 
		// to do with running a program
		GetDlgItem(IDC_PROGTORUN)->ShowWindow(FALSE);
		GetDlgItem(IDC_RUNPGM)->ShowWindow(FALSE);
		GetDlgItem(IDC_STATICPGM)->ShowWindow(FALSE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay2Dlg::OnRunpgm() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Get the current values from the screen
	UpdateData(TRUE);

	// Declare a local variable for holding the program name
	CString strPgmName;

	// Copy the program name to the local variable
	strPgmName = m_strProgToRun;

	// Make the program name all uppercase
	strPgmName.MakeUpper();

	// Did the user select to run the Paint program?
	if (strPgmName == "PAINT")
		// Yes, run the Paint program
		WinExec("pbrush.exe", SW_SHOW);

	// Did the user select to run the Notepad program?
	if (strPgmName == "NOTEPAD")
		// Yes, run the Notepad program
		WinExec("notepad.exe", SW_SHOW);

	// Did the user select to run the Solitaire program?
	if (strPgmName == "SOLITAIRE")
		// Yes, run the Solitaire program
		WinExec("sol.exe", SW_SHOW);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}
