// Day5Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Day5.h"
#include "MsgDlg.h"
#include "Day5Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay5Dlg dialog

CDay5Dlg::CDay5Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDay5Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDay5Dlg)
	m_strResults = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDay5Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDay5Dlg)
	DDX_Control(pDX, IDC_BWHICHOPTION, m_cWhichOption);
	DDX_Text(pDX, IDC_RESULTS, m_strResults);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDay5Dlg, CDialog)
	//{{AFX_MSG_MAP(CDay5Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_EXIT, OnExit)
	ON_BN_CLICKED(IDC_YESNOCANCEL, OnYesnocancel)
	ON_BN_CLICKED(IDC_ABORTRETRYIGNORE, OnAbortretryignore)
	ON_BN_CLICKED(IDC_BCUSTOMDIALOG, OnBcustomdialog)
	ON_BN_CLICKED(IDC_BWHICHOPTION, OnBwhichoption)
	ON_BN_CLICKED(IDC_FILEOPEN, OnFileopen)
	ON_BN_CLICKED(IDC_YESNO, OnYesno)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay5Dlg message handlers

BOOL CDay5Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDay5Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDay5Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDay5Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDay5Dlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Close the application
	OnOK();

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnYesnocancel() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	int iResults; // This variable will capture the button selection

	// Ask the user
	iResults = MessageBox("Press the Yes, No, or Cancel button",
				"Yes, No, Cancel Dialog", 
				MB_YESNOCANCEL + MB_ICONINFORMATION);

	// Determine which button the user clicked
	// Give the user a message showing which button was clicked
	switch (iResults)
	{
	case IDYES:	// The Yes button?
		m_strResults = "Yes! Yes! Yes!";
		break;
	case IDNO:	// The No button?
		m_strResults = "No, no, no, no, no.";
		break;
	case IDCANCEL:	// The Cancel button?
		m_strResults = "Sorry, canceled.";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnAbortretryignore() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	int iResults; // This variable will capture the button selection

	// Ask the user
	iResults = MessageBox("Press the Abort, Retry, or Ignore button",
				"Abort, Retry, Ignore Dialog", 
				MB_ABORTRETRYIGNORE + MB_ICONQUESTION);

	// Determine which button the user clicked
	// Give the user a message showing which button was clicked
	switch (iResults)
	{
	case IDRETRY:	// The Retry button?
		m_strResults = "Trying again...";
		break;
	case IDABORT:	// The Abort button?
		m_strResults = "Aborting, please wait...";
		break;
	case IDIGNORE:	// The Ignore button?
		m_strResults = "Did you do something?";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnBcustomdialog() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Show the message dialog and capture the result
	if (m_dMsgDlg.DoModal () == IDOK)
	{
		// The user checked OK, display the message the
		// user typed in on the message dialog
		m_strResults = m_dMsgDlg.m_strMessage;
		// Update the dialog
		UpdateData(FALSE);
		// Enable the Which Option button
		m_cWhichOption.EnableWindow(TRUE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnBwhichoption() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Determine which radio button was selected, and display
	// a message for the user to show which one was selected.
	switch(m_dMsgDlg.m_iOption)
	{
	case 0:	// Was it the first radio button?
		m_strResults = "The first option was selected.";
		break;
	case 1:	// Was it the second radio button?
		m_strResults = "The second option was selected.";
		break;
	case 2:	// Was it the third radio button?
		m_strResults = "The third option was selected.";
		break;
	case 3:	// Was it the fourth radio button?
		m_strResults = "The fourth option was selected.";
		break;
	default:	// Were none of the radio buttons selected?
		m_strResults = "No option was selected.";
		break;
	}

	// Update the dialog
	UpdateData(FALSE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnFileopen() 
{
	// TODO: Add your control notification handler code here

	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////
	
	CFileDialog m_ldFile(TRUE);

	// Set the current directory
	//m_ldFile.m_ofn.lpstrInitialDir = "C:\\Temp\\";

	// Show the File Open dialog and capture the result
	if (m_ldFile.DoModal() == IDOK)
	{
		// Get the file name selected
		m_strResults = m_ldFile.GetPathName();
		// Update the dialog
		UpdateData(FALSE);
	}

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay5Dlg::OnYesno() 
{
	// TODO: Add your control notification handler code here
	switch(m_dMsgDlg.m_iYesNo)
	{
	case IDYES:	// Was it the first radio button?
		m_strResults = "Yes!";
		break;
	case IDNO:	// Was it the second radio button?
		m_strResults = "No!";
		break;
	}	
	// Update the dialog
	UpdateData(FALSE);
}
