// Day7Dlg.h : header file
//

#if !defined(AFX_DAY7DLG_H__B21B3396_B065_11D1_AD55_00A02429D966__INCLUDED_)
#define AFX_DAY7DLG_H__B21B3396_B065_11D1_AD55_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

int CALLBACK EnumFontFamProc(LPENUMLOGFONT lpelf, LPNEWTEXTMETRIC lpntm, DWORD nFontType, long lParam);

/////////////////////////////////////////////////////////////////////////////
// CDay7Dlg dialog

class CDay7Dlg : public CDialog
{
// Construction
public:
	CDay7Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDay7Dlg)
	enum { IDD = IDD_DAY7_DIALOG };
	CStatic	m_ctlDisplayText;
	CListBox	m_ctlFontList;
	CString	m_strSampText;
	CString	m_strDisplayText;
	CString	m_strFontName;
	BOOL	m_bUseText;
	BOOL	m_bItalic;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDay7Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDay7Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExit();
	afx_msg void OnChangeEsamptext();
	afx_msg void OnSelchangeLfonts();
	afx_msg void OnCbusetext();
	afx_msg void OnBdispfontlist();
	afx_msg void OnCbonback();
	afx_msg void OnCbitalic();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CFont m_fSampFont;	// The font to be used
	LOGFONT m_lLogFont;
	void SetMyFont();
	void FillFontList();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DAY7DLG_H__B21B3396_B065_11D1_AD55_00A02429D966__INCLUDED_)
