// Day9Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Day9.h"
#include "Day9Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay9Dlg dialog

CDay9Dlg::CDay9Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDay9Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDay9Dlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDay9Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDay9Dlg)
	DDX_Control(pDX, IDC_MSFGRID, m_ctlFGrid);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDay9Dlg, CDialog)
	//{{AFX_MSG_MAP(CDay9Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_EXIT, OnExit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDay9Dlg message handlers

BOOL CDay9Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Load data into the Grid control
	LoadData();

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDay9Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDay9Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDay9Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDay9Dlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Close the window
	OnOK();

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay9Dlg::LoadData()
{
	int iCount;		// The grid row count
	CString strAmount;	// The sales amount

	// Initialize the random number generator
	srand((unsigned)time(NULL));
	// Create Array in the control
	for (iCount = m_ctlFGrid.GetFixedRows(); 
		iCount < m_ctlFGrid.GetRows(); iCount++)
	{
		// Generate the first column (region) values
		m_ctlFGrid.SetTextArray(GenID(iCount, 0), RandomStringValue(0));
		// Generate the second column (product) values
		m_ctlFGrid.SetTextArray(GenID(iCount, 1), RandomStringValue(1));
		// Generate the third column (employee) values
		m_ctlFGrid.SetTextArray(GenID(iCount, 2), RandomStringValue(2));
		// Generate the sales amount values
		strAmount.Format("%5d.00", rand());
		// Populate the fourth column
		m_ctlFGrid.SetTextArray(GenID(iCount, 3), strAmount);
	}

	// Merge the common subsequent rows in these columns
	m_ctlFGrid.SetMergeCol(0, TRUE);
	m_ctlFGrid.SetMergeCol(1, TRUE);
	m_ctlFGrid.SetMergeCol(2, TRUE);

	// Sort the grid
	DoSort();
}

int CDay9Dlg::GenID(int aiRow, int aiCol)
{
	// Get the number of columns
	int iCols = m_ctlFGrid.GetCols();

	// Generate an ID based on the number of columns,
	// the current column, and the current row
	return (aiCol + iCols * aiRow);
}


CString CDay9Dlg::RandomStringValue(int aiColumn)
{
	CString strStr;	// The return string
	int iCase;		// A randon value ID

	// Which column are we generating for?
	switch (aiColumn)
	{
	case 0:	// The first column (region)
		// Generate a random value between 0 and 4
		iCase = (rand() % 5);
		// What value was generated?
		switch (iCase)
		{
		case 0:
			// 0 - Northwest region
			strStr = "Northwest";
			break;
		case 1:
			// 1 - Southwest region
			strStr = "Southwest";
			break;
		case 2:
			// 2 - Midwest region
			strStr = "Midwest";
			break;
		case 3:
			// 3 - Northeast region
			strStr = "Northeast";
			break;
		default:
			// 4 - Southeast region
			strStr = "Southeast";
			break;
		}
		break;
	case 1:	// The second column (product)
		// Generate a random value between 0 and 4
		iCase = (rand() % 5);
		// What value was generated?
		switch (iCase)
		{
		case 0:
			// 0 - Dodads
			strStr = "Dodads";
			break;
		case 1:
			// 1 - Thingamajigs
			strStr = "Thingamajigs";
			break;
		case 2:
			// 2 - Whatchamacallits
			strStr = "Whatchamacallits";
			break;
		case 3:
			// 3 - Round Tuits
			strStr = "Round Tuits";
			break;
		default:
			// 4 - Widgets
			strStr = "Widgets";
			break;
		}
		break;
	case 2:	// The third column (employee)
		// Generate a random value between 0 and 3
		iCase = (rand() % 4);
		// What value was generated?
		switch (iCase)
		{
		case 0:
			// 0 - Dore
			strStr = "Dore";
			break;
		case 1:
			// 1 - Harvey
			strStr = "Harvey";
			break;
		case 2:
			// 2 - Pogo
			strStr = "Pogo";
			break;
		default:
			// 3 - Nyra
			strStr = "Nyra";
			break;
		}
		break;
	}
	// Return the generated string
	return strStr;
}

void CDay9Dlg::DoSort()
{
	// Set the current column to column 0
	m_ctlFGrid.SetCol(0);
	// Set the column selection to all columns
	m_ctlFGrid.SetColSel((m_ctlFGrid.GetCols() - 1));
	// Generic Ascending Sort
	m_ctlFGrid.SetSort(1);
}

BEGIN_EVENTSINK_MAP(CDay9Dlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CDay9Dlg)
	ON_EVENT(CDay9Dlg, IDC_MSFGRID, -605 /* MouseDown */, OnMouseDownMsfgrid, VTS_I2 VTS_I2 VTS_I4 VTS_I4)
	ON_EVENT(CDay9Dlg, IDC_MSFGRID, -607 /* MouseUp */, OnMouseUpMsfgrid, VTS_I2 VTS_I2 VTS_I4 VTS_I4)
	ON_EVENT(CDay9Dlg, IDC_MSFGRID, -601 /* DblClick */, OnDblClickMsfgrid, VTS_NONE)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CDay9Dlg::OnMouseDownMsfgrid(short Button, short Shift, long x, long y) 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Did the user click on a data row and not the
	// header row?
	if (m_ctlFGrid.GetMouseRow() != 0)
	{
		// If so, then zero out the column variable
		// and exit
		m_iMouseCol = 0;
		return;
	}
	// Save the column clicked on
	m_iMouseCol = m_ctlFGrid.GetMouseCol();

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay9Dlg::OnMouseUpMsfgrid(short Button, short Shift, long x, long y) 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// If the selected column was the first column,
	// there's nothing to do
	if (m_iMouseCol == 0)
		return;
	// Turn the control redraw off
	m_ctlFGrid.SetRedraw(FALSE);
	// Change the selected column position
	m_ctlFGrid.SetColPosition(m_iMouseCol, m_ctlFGrid.GetMouseCol());
	// Resort the grid
	DoSort();
	// Turn redraw back on
	m_ctlFGrid.SetRedraw(TRUE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}

void CDay9Dlg::OnDblClickMsfgrid() 
{
	// TODO: Add your control notification handler code here
	
	///////////////////////
	// MY CODE STARTS HERE
	///////////////////////

	// Did the user click on a data row and not the
	// header row?
	if (m_ctlFGrid.GetMouseRow() != 0)
	{
		// If so, then zero out the column variable
		// and exit
		m_iMouseCol = 0;
		return;
	}
	m_iMouseCol = m_ctlFGrid.GetMouseCol();
	// If the selected column was the first column,
	// there's nothing to do
	if (m_iMouseCol == 0)
		return;
	// Turn the control redraw off
	m_ctlFGrid.SetRedraw(FALSE);
	// Change the selected column position
	m_ctlFGrid.SetColPosition(m_iMouseCol, 0);
	// Resort the grid
	DoSort();
	// Turn redraw back on
	m_ctlFGrid.SetRedraw(TRUE);

	///////////////////////
	// MY CODE ENDS HERE
	///////////////////////
}
