// Person.h: interface for the CPerson class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PERSON_H__080F5FC5_B902_11D1_AD70_00A02429D966__INCLUDED_)
#define AFX_PERSON_H__080F5FC5_B902_11D1_AD70_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CPerson : public CObject  
{
	DECLARE_SERIAL (CPerson)
public:
	void SetDocument(CDocument *pDoc) {m_pDoc = pDoc;}
	virtual void Serialize(CArchive &ar);
	void SetEmployed(BOOL bEmployed);
	void SetSex(int iSex);
	void SetMartialStat(int iStat);
	void SetAge(int iAge);
	void SetName(CString sName);
	BOOL GetEmployed() { return m_bEmployed;}
	int GetMartialStatus() { return m_iMartialStatus;}
	int GetSex() { return m_iSex;}
	int GetAge() {return m_iAge;}
	CString GetName() {return m_sName;}
	CPerson();
	CPerson(CDocument * pDoc);
	virtual ~CPerson();

private:
	int m_iSex;
	CDocument* m_pDoc;
	BOOL m_bEmployed;
	int m_iMartialStatus;
	int m_iAge;
	CString m_sName;
};

#endif // !defined(AFX_PERSON_H__080F5FC5_B902_11D1_AD70_00A02429D966__INCLUDED_)
