// DbAdoDoc.h : interface of the CDbAdoDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBADODOC_H__8F36311A_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
#define AFX_DBADODOC_H__8F36311A_E5F8_11D1_ADDB_00A02429D966__INCLUDED_

#include "CustomRS.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDbAdoDoc : public CDocument
{
protected: // create from serialization only
	CDbAdoDoc();
	DECLARE_DYNCREATE(CDbAdoDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbAdoDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	void Delete();
	void AddNew();
	void GenerateError(HRESULT hr, PWSTR pwszDescription);
	CCustomRs* GetRecSet();
	void MoveLast();
	void MoveNext();
	void MovePrev();
	void MoveFirst();
	virtual ~CDbAdoDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDbAdoDoc)
	afx_msg void OnUpdateDataFirst(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDataLast(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDataNext(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDataPrev(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void CreateBlankRecord();
	CString m_strCmdText;
	CString m_strConnection;
	IADORecordBinding *m_piAdoRecordBinding;
	_RecordsetPtr m_pRs;
	CCustomRs m_rsRecSet;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBADODOC_H__8F36311A_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
