// DbAdoView.h : interface of the CDbAdoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DBADOVIEW_H__8F36311C_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
#define AFX_DBADOVIEW_H__8F36311C_E5F8_11D1_ADDB_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDbAdoView : public CFormView
{
protected: // create from serialization only
	CDbAdoView();
	DECLARE_DYNCREATE(CDbAdoView)

public:
	//{{AFX_DATA(CDbAdoView)
	enum { IDD = IDD_DBADO_FORM };
	long	m_lAddressID;
	CString	m_strFirstName;
	CString	m_strLastName;
	CString	m_strSpouseName;
	CString	m_strAddress;
	CString	m_strCity;
	CString	m_strStateOrProvince;
	CString	m_strPostalCode;
	CString	m_strCountry;
	CString	m_strEmailAddress;
	CString	m_strHomePhone;
	CString	m_strWorkPhone;
	CString	m_strWorkExtension;
	CString	m_strFaxNumber;
	COleDateTime	m_oledtBirthdate;
	BOOL	m_bSendCard;
	CString	m_strNotes;
	//}}AFX_DATA

// Attributes
public:
	CDbAdoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDbAdoView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void RefreshBoundData();
	virtual ~CDbAdoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDbAdoView)
	afx_msg void OnDataFirst();
	afx_msg void OnDataLast();
	afx_msg void OnDataNext();
	afx_msg void OnDataPrev();
	afx_msg void OnDataNew();
	afx_msg void OnDataDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateBoundData();
};

#ifndef _DEBUG  // debug version in DbAdoView.cpp
inline CDbAdoDoc* CDbAdoView::GetDocument()
   { return (CDbAdoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DBADOVIEW_H__8F36311C_E5F8_11D1_ADDB_00A02429D966__INCLUDED_)
