// Web BrowseView.h : interface of the CWebBrowseView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_WEBBROWSEVIEW_H__E34A763C_CA56_11D1_ADA0_00A02429D966__INCLUDED_)
#define AFX_WEBBROWSEVIEW_H__E34A763C_CA56_11D1_ADA0_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CWebBrowseView : public CHtmlView
{
protected: // create from serialization only
	CWebBrowseView();
	DECLARE_DYNCREATE(CWebBrowseView)

// Attributes
public:
	CWebBrowseDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWebBrowseView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	void OnDocumentComplete(LPCTSTR lpszUrl);
	virtual ~CWebBrowseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CWebBrowseView)
	afx_msg void OnGoBack();
	afx_msg void OnGoNext();
	afx_msg void OnGoSearch();
	afx_msg void OnGoStart();
	afx_msg void OnViewRefresh();
	afx_msg void OnViewStop();
	afx_msg void OnUpdateViewStop(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Web BrowseView.cpp
inline CWebBrowseDoc* CWebBrowseView::GetDocument()
   { return (CWebBrowseDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WEBBROWSEVIEW_H__E34A763C_CA56_11D1_ADA0_00A02429D966__INCLUDED_)
