// ModArt.h: interface for the CModArt class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODART_H__C845F439_CC0F_11D1_ADA6_00A02429D966__INCLUDED_)
#define AFX_MODART_H__C845F439_CC0F_11D1_ADA6_00A02429D966__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CModArt : public CObject  
{
public:
	int GetSegments();
	int GetLength();
	void SetSegments(int iSegments);
	void SetLength(int iLength);
	static const COLORREF m_crColors[8];
	void NewDrawing();
	virtual void Serialize(CArchive &ar);
	void Draw(CDC *pDC);
	void ClearDrawing();
	void SetRect(CRect rDrawArea);
	CModArt();
	virtual ~CModArt();

private:
	int m_iLength;
	int m_iSegments;
	void NewLine();
//	UINT m_nColor;
//	UINT m_nWidth;
	CRect m_rDrawArea;
	CObArray m_oaLines;
};

#endif // !defined(AFX_MODART_H__C845F439_CC0F_11D1_ADA6_00A02429D966__INCLUDED_)
